رفتن به مطلب
جامعه‌ی برنامه‌نویسان مُدرن ایران
  • 0
xarion

مشکل در build کردن برای اندروید

سوال

سلام. من چند وقتی هست که می خوام برای اندروید با کیوت یه اپ ساده رو Run کنم و درگیر خیلی چیزا بودم تا به این مرحله برسم. الان می خوام با مشخصات زیر یه از یه نمونه کد Qt برای اندروید اجرا بگیرم ولی توی Build به مشکل بر خوردم.

 

  • Qt 5.11.1
  • Compiler: MinGW 4.9
  • Kit: android arm7
  • JDK: 8
  • NDK:17
  • SDK: Update to the last version

که در موقع build با این خطا مواجه می شم.

Exception in thread "main" java.util.zip.ZipException: error in opening zip file at 
java.util.zip.ZipFile.open(Native Method) at java.util.zip.ZipFile.(ZipFile.java:225) at 
java.util.zip.ZipFile.(ZipFile.java:155) at java.util.zip.ZipFile.(ZipFile.java:169) at 
org.gradle.wrapper.Install.unzip(Install.java:215) at 
org.gradle.wrapper.Install.access$600(Install.java:27) at 
org.gradle.wrapper.Install$1.call(Install.java:75) at 
org.gradle.wrapper.Install$1.call(Install.java:48) at 
org.gradle.wrapper.ExclusiveFileAccessManager.access(ExclusiveFileAccessManager.java:69) at 
org.gradle.wrapper.Install.createDist(Install.java:48) at 
org.gradle.wrapper.WrapperExecutor.execute(WrapperExecutor.java:107) at 
org.gradle.wrapper.GradleWrapperMain.main(GradleWrapperMain.java:61) Warning: QML import could not 
be resolved in any of the import paths: QtQuick.Controls.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Fusion.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Imagine.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Material.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Universal.impl Building the android package 
failed! 03:39:16: The process "C:\Qt\5.11.1\android_armv7\bin\androiddeployqt.exe" exited with code 
14. Error while building/deploying project gallery (kit: Android for armeabi-v7a (GCC 4.9, Qt 5.11.1 
for Android armv7)) When executing step "Build Android APK"

ممنون می شم اگر بتونید راهنمایی کنید.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

6 پاسخ به این سوال تا کنون داده شده است

پست های پیشنهاد شده

  • 0
در 5 ساعت قبل، xarion گفته است :

سلام. من چند وقتی هست که می خوام برای اندروید با کیوت یه اپ ساده رو Run کنم و درگیر خیلی چیزا بودم تا به این مرحله برسم. الان می خوام با مشخصات زیر یه از یه نمونه کد Qt برای اندروید اجرا بگیرم ولی توی Build به مشکل بر خوردم.

 

Qt 5.11.1

Compiler: MinGW 4.9

Kit: android arm7

که در موقع build با این خطا مواجه می شم.


Exception in thread "main" java.util.zip.ZipException: error in opening zip file at 
java.util.zip.ZipFile.open(Native Method) at java.util.zip.ZipFile.(ZipFile.java:225) at 
java.util.zip.ZipFile.(ZipFile.java:155) at java.util.zip.ZipFile.(ZipFile.java:169) at 
org.gradle.wrapper.Install.unzip(Install.java:215) at 
org.gradle.wrapper.Install.access$600(Install.java:27) at 
org.gradle.wrapper.Install$1.call(Install.java:75) at 
org.gradle.wrapper.Install$1.call(Install.java:48) at 
org.gradle.wrapper.ExclusiveFileAccessManager.access(ExclusiveFileAccessManager.java:69) at 
org.gradle.wrapper.Install.createDist(Install.java:48) at 
org.gradle.wrapper.WrapperExecutor.execute(WrapperExecutor.java:107) at 
org.gradle.wrapper.GradleWrapperMain.main(GradleWrapperMain.java:61) Warning: QML import could not 
be resolved in any of the import paths: QtQuick.Controls.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Fusion.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Imagine.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Material.impl Warning: QML import could not be 
resolved in any of the import paths: QtQuick.Controls.Universal.impl Building the android package 
failed! 03:39:16: The process "C:\Qt\5.11.1\android_armv7\bin\androiddeployqt.exe" exited with code 
14. Error while building/deploying project gallery (kit: Android for armeabi-v7a (GCC 4.9, Qt 5.11.1 
for Android armv7)) When executing step "Build Android APK"

ممنون می شم اگر بتونید راهنمایی کنید.

سلام، نسخه‌ی JDK، NDK و SDK شما چند هست؟

  • پسندیدن 1

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
  • 0
در 3 ساعت قبل، کامبیز اسدزاده گفته است :

سلام، نسخه‌ی JDK، NDK و SDK شما چند هست؟

ویرایش شد. من خودم فک می کنم مربوط به gradle هست . ولی چون تجربه ندارم ، اطلاعات زیادی هم ندارم ازش.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
  • 0
در 6 دقیقه قبل، xarion گفته است :

ویرایش شد. من خودم فک می کنم مربوط به gradle هست . ولی چون تجربه ندارم ، اطلاعات زیادی هم ندارم ازش.

مواردی که اشاره کردی بهشون درسته، بررسی کن ببین gradle نصب هست؟ قبل از کامپایل باید توسط وی-پی-ان موقع کامپایل یک بار دانلود بشه (خود کیوت این کار رو انجام میده). همچنین فایل‌های ساخته شده رو که در قالب کَش هستند پاک کن و از بخش Project از Shadow Build استفاده کن.

  • پسندیدن 1

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
  • 0
در 8 ساعت قبل، کامبیز اسدزاده گفته است :

مواردی که اشاره کردی بهشون درسته، بررسی کن ببین gradle نصب هست؟ قبل از کامپایل باید توسط وی-پی-ان موقع کامپایل یک بار دانلود بشه (خود کیوت این کار رو انجام میده). همچنین فایل‌های ساخته شده رو که در قالب کَش هستند پاک کن و از بخش Project از Shadow Build استفاده کن.

از این که gradle نصب شده مطمئن هستم ، چیزی که نشون می‌ده اینه که یه چیزی توی اجرای gradle داره به مشکل بر می خوره ، و جاوا نمی تونه اجراش کنه.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
  • 0
در ۱ ساعت قبل، xarion گفته است :

از این که gradle نصب شده مطمئن هستم ، چیزی که نشون می‌ده اینه که یه چیزی توی اجرای gradle داره به مشکل بر می خوره ، و جاوا نمی تونه اجراش کنه.

من دقیقا در همین کانفیگ کار رو انجام دادم و خطایی که داد رو گرفتم و با این روش حل شد! این خطا در صورتی بروز داده می‌شه که یا gradle نصب نباشه یا SDK شما آپدیت نشده باشه. توجه داشته باش که SDK رو از داخل Qt Creator آپدیت کنی. و البته از بخش Build & Run زبانه‌ی Kits از گزینه‌ی Android for armeabi-v7a (GCC 4.9, Qt 5.11.1 for Android armv7) یک Clone بگیر و نامش رو بزار Android for armeabi-v7a و دقت کن که Qt Version اش هم ست شده باشه و بدون هیچ علامت اخطار یا خطایی تایید بشه.

  • پسندیدن 1

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
  • 0
در 6 ساعت قبل، کامبیز اسدزاده گفته است :

من دقیقا در همین کانفیگ کار رو انجام دادم و خطایی که داد رو گرفتم و با این روش حل شد! این خطا در صورتی بروز داده می‌شه که یا gradle نصب نباشه یا SDK شما آپدیت نشده باشه. توجه داشته باش که SDK رو از داخل Qt Creator آپدیت کنی. و البته از بخش Build & Run زبانه‌ی Kits از گزینه‌ی Android for armeabi-v7a (GCC 4.9, Qt 5.11.1 for Android armv7) یک Clone بگیر و نامش رو بزار Android for armeabi-v7a و دقت کن که Qt Version اش هم ست شده باشه و بدون هیچ علامت اخطار یا خطایی تایید بشه.

دقیقا من قبل این که این پیغام رو ببینم حل کردم مسله رو. اول این که مشکل من از Gradle بود که فایل باینری رو از سایت دانلود کردم و آدرس پوشه‌ی bin رو توی environment path اضافه کردم ظاهرا باید درست می شد، ولی نشد. بعد از این که این آدرس رو داخل Qt Creator توی بخش Build setting path وارد کردم حل شد.

  • پسندیدن 1

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال دیدگاه یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید دیدگاهی ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در سایت ما ثبت نام کنید. عضویت خیلی ساده است !

ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید

ورود به حساب کاربری

  • کاربران آنلاین در این صفحه   0 کاربر

    هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.

×